LEA_Info Struct Reference

LEA block cipher information. More...

`#include <lea.h>`

Inheritance diagram for LEA_Info:

## Static Public Member Functions

static const std::string | StaticAlgorithmName ()
| The algorithm name.
Static Public Member Functions inherited from VariableKeyLength< 16, 16, 32, 8 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function.

## Additional Inherited Members

Static Public Attributes inherited from FixedBlockSize< 16 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from VariableKeyLength< 16, 16, 32, 8 >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant.

## Detailed Description

LEA block cipher information.

Since
  Crypto++ 8.0

Definition at line 34 of file lea.h.

## Member Function Documentation

## StaticAlgorithmName()

const std::string LEA_Info::StaticAlgorithmName | ( |  | ) |

inline static

The algorithm name.

Returns
  the algorithm name

StaticAlgorithmName returns the algorithm's name as a static member function.

Definition at line 40 of file lea.h.

The documentation for this struct was generated from the following file:

- lea.h